NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.AddSurfBuilder Class Reference

Represents a NXOpen.Die.AddSurfBuilder builder More...

Inheritance diagram for NXOpen.Die.AddSurfBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Methods {
  Sectional, CurveMesh, ChannelTunnelCap, MultiFaceBlend,
  WallsOnly, DiskFaceBlend, SphereFaceBlend
}
 Settings for the type of addendum surface being created. More...
 

Public Member Functions

unsafe void CreateDefaultSpine ()
 Creates a smoothed spine curve from the forming boundary using the spine radius value More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Associative [get, set]
 Returns or sets the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created. More...
 
unsafe NXOpen.Expression ConcaveCornerRadius [get]
 Returns the concave corner radius value More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Die.DieLimitsBuilder Limits [get]
 Returns the limits to control the span of the addendum More...
 
unsafe
NXOpen.Die.AddSurfBuilder.Methods 
Method [get, set]
 Returns or sets the addendum surface output method. More...
 
unsafe NXOpen.Point RefPoint [get, set]
 Returns or sets the keep point for trimming. More...
 
unsafe NXOpen.SelectNXObjectList SelectSection [get]
 Returns the addendum section feature to define the shape of the addendum surface. More...
 
unsafe bool Sewn [get, set]
 Returns or sets the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output. More...
 
unsafe NXOpen.ScCollector Spine [get]
 Returns the spine string, which determines the orientation of the sample planes More...
 
unsafe double SpineRadius [get, set]
 Returns or sets the spine radius, used by NXOpen.Die.AddSurfBuilder.CreateDefaultSpine More...
 
unsafe NXOpen.ScCollector TrimBound [get]
 Returns the trimming boundary for the addendum surface. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Die.AddSurfBuilder builder

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateAddSurfBuilder

Created in NX6.0.0

Member Enumeration Documentation

Settings for the type of addendum surface being created.

Enumerator
Sectional 

Sweep section around tangency curve.

CurveMesh 

Modeling curve mesh.

ChannelTunnelCap 

To close an end cap.

MultiFaceBlend 

Face blend between sets of walls.

WallsOnly 

Produces just the walls, no blend.

DiskFaceBlend 

Disk type face blend.

SphereFaceBlend 

Spherical type face blend.

Member Function Documentation

unsafe void NXOpen.Die.AddSurfBuilder.CreateDefaultSpine ( )
inline

Creates a smoothed spine curve from the forming boundary using the spine radius value

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe bool NXOpen.Die.AddSurfBuilder.Associative
getset

Returns or sets the flag that indicates during creation if a feature is to be created or just the sheet body, true indicates a feature will be created.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.AddSurfBuilder.ConcaveCornerRadius
get

Returns the concave corner radius value

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Die.AddSurfBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieLimitsBuilder NXOpen.Die.AddSurfBuilder.Limits
get

Returns the limits to control the span of the addendum

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.AddSurfBuilder.Methods NXOpen.Die.AddSurfBuilder.Method
getset

Returns or sets the addendum surface output method.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Die.AddSurfBuilder.RefPoint
getset

Returns or sets the keep point for trimming.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectNXObjectList NXOpen.Die.AddSurfBuilder.SelectSection
get

Returns the addendum section feature to define the shape of the addendum surface.

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.AddSurfBuilder.Sewn
getset

Returns or sets the flag that indicates whether the faces of the addendum sheet body will be sewn into one sheet body or individual sheet bodies for each face will be output.

True indicates one sewn sheet body will be output.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.AddSurfBuilder.Spine
get

Returns the spine string, which determines the orientation of the sample planes

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Die.AddSurfBuilder.SpineRadius
getset

Returns or sets the spine radius, used by NXOpen.Die.AddSurfBuilder.CreateDefaultSpine

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.AddSurfBuilder.TrimBound
get

Returns the trimming boundary for the addendum surface.

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.